<?php
/*
--------------------------------------------------------
Nombre de la Clase: API

Funcion :
	Esta clase es la utilizada para que un usuario que desea hacer una
	aplicacion pueda interactuar con el sistema creado

Funciones y utlizacion :

Consultar Manual de API 
--------------------------------------------------------
*/
class API{
	function setBack($url){
		$_SESSION['back_extra']=$url;
	}
	function setCSStemplate($css){
		$_SESSION['css']=$css;
	}
	function setFormAction($action){
		$_SESSION['form_extra']=$action;
	}
	function getDivs(){
		return $_SESSION['system']->getDivs();
	}
	function getData($name){
		return $_SESSION['system']->Data($name);
	}
	function setForm($action){
		$_SESSION['formaction']=$action;
	}
	function setData($name,$data){
		return $_SESSION['system']->setData($name,$data);
	}
	function printweb(){
		return $_SESSION['imp']->web();
	}
	function template($url,$dato){
		return $_SESSION['imp']->template($url,$dato);
	}
	function setScript($script){
		$_SESSION['js']=$script;
	}
	function setCSS($css){
		$_SESSION['css_step']=$css;		
	}
	function setStep($step){	
		$_SESSION['contenido']=$step;	
	}
	function setTemplate($template){
		$_SESSION['select_template']=$template;
	}	
	function showError($mensaje){
		$error='<div class="error">';
		$error.=$mensaje;
		$error.='</div>';
		return $error;
	}
	
	//extras..........................................................................
	
	
	//color................................................................................
	function ConvertDectoHex($dec,&$hex){
		DectoHex($num,&$result);
	}
	function Converthextodec($hex,&$dec){
		DectoHex($hex,&$dec);
	}
	function contrast($color1,$color2){
		return fcontrast($color1,$color2);
	}
	function shine($color1,&$brillo){
		fbrillo($color1,&$brillo);
	}
	function Opuesto($color){
		return Opuesto($color);
	}
	function Triada($color){
		return Triada($color);
	}
	function Monocromo($color){
		return Monocromo($color);
	}
	//crear/editar CSS................................................................................	
	function createCSS($filename,$datos){
		return $_SESSION['classfile']->createCSS($filename,$datos);
	}
	function editCSS($filename,$datos){
		$_SESSION['classfile']->editCSS($filename,$datos);
	}
	function buildHTML($filename,$result){
		$_SESSION['classfile']->buildHTML($filename,$result);
	}
	//ficheros................................................................................	
	function addFile($path, $name){
		$_SESSION['classzip']->addFile($path,$name);
	}
	function saveZip($filename){
		$_SESSION['classzip']->saveZip($filename);	
	}
	function downloadZip($filename){
		$_SESSION['classzip']->downloadZip($filename);
	}

}
?>